/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/
import React from 'react';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import Checkbox from '@material-ui/core/Checkbox';
import styled from 'styled-components'

const StyledFormControlLabel = styled(FormControlLabel)`
    font-size : 12px !important;
    .label {
        font-size : 12px !important;
    }
`

const StyledCheckbox = styled(Checkbox)`
    color : #00bcd4 !important;
`

export default function LabeledCheckbox(props) {

  return (
      <StyledFormControlLabel
        control={
          <StyledCheckbox
            disabled = {props.disabledCheckbox}
            value = {props.checked}
            onChange = {props.handleChange}
          />
        }
        label={<span style={{ fontSize: '12px' }}>{props.label}</span>}
      />

  );
}
