import React from 'react';
import Typography from '@material-ui/core/Typography';
import CardContent from '@material-ui/core/CardContent';
import styled from 'styled-components'
import RadioGroup from '@material-ui/core/RadioGroup';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import Radio from '@material-ui/core/Radio';
import FormControl from '@material-ui/core/FormControl';


const StyledFormControl = styled(FormControl)`
    display: "block ruby";
    margin-top : 0 !importantcd ;
`

const StyledDivEvaluateQuestion = styled.div`
    display :flex;
    justify-content : space-between;
`

export default function PublicationPermissionsContent (props) {
    return (
        <CardContent style={{textAlign: "start", marginBottom: "10px", lineHeight:"21px", color:"rgb(102, 102, 102)", padding:"65px"}}>
            <Typography variant="h4" style={{textAlign:"center", color:"rgb(102, 102, 102)", fontSize:"26px"}}> É necessário que você declare a permissão de publicação do seu Recurso:</Typography>
                <div classname="texto-termos">
                    <div classname="title">
                        <Typography variant = "h3" style={{textAlign:"center", fontSize:"30px", marginTop:"20px", marginBottom:"10px", color:"rgb(102, 102, 102)"}}>
                            PERMISSÃO DE PUBLICAÇÃO
                        </Typography>
                    </div>
                    <p>Ao prosseguir você concede a permissão de publicação do seu recurso ao nosso portal e se compromete a não infringir as políticas de conteúdos, estando então,
                    a partir desse momento passível de responsabilização pelo conteúdo a ser integrado a nossa rede. Para tanto atente-se as pontuações abaixo e verifique se o seu
                    recurso está de acordo, antecipadamente, com as nossas condições. É recomendável a leitura das políticas de conteúdo estabelecidas
                    (<a href="termos-de-uso#publicacoes-de-usuario"><strong>Políticas de Conteúdo</strong></a>)
                    </p>
                    <Typography variant="h5" style={{fontWeight:"300", color:"rgb(102, 102, 102)", fontSize:"22px"}}>
                    Para que o recurso seja publicado na plataforma é preciso que ele esteja de acordo com as diretrizes abaixo, a presença de quaisquer dos itens a seguir
                    inviabiliza a publicação do recurso em nossa rede.
                    </Typography>
                    <p><strong>No seu recurso está presente algum destes itens abaixo?</strong></p>
                    <StyledFormControl component="fieldset" style={{display:"BlockRuby"}}  margin='dense' fullWidth={true}>
                        <StyledDivEvaluateQuestion>
                        <p>
                        O recurso apresenta conteúdo de cunho político-partidário? (Ex: o conteúdo expressa qualquer forma de manifestação que se caracterize como propaganda política)?
                        </p>
                        <RadioGroup row name="radio1" onChange={props.handleRadios}>
                            <FormControlLabel value="Sim" control={<Radio color="primary"/>} label="Sim"/> <FormControlLabel value="Não" control={<Radio color="primary"/>} label="Não"/>
                        </RadioGroup>
                        </StyledDivEvaluateQuestion>
                        <StyledDivEvaluateQuestion>
                        <p>
                        O recurso apresenta conteúdo ofensivo? (Ex: material pornográfico e/ou que invada a privacidade de terceiros, viole os Direitos Humanos ou seja ilegal, ofensivo, e que incite a violência)?
                        </p>
                        <RadioGroup row name="radio2" onChange={props.handleRadios}>
                            <FormControlLabel value="Sim" control={<Radio color="primary"/>} label="Sim"/> <FormControlLabel value="Não" control={<Radio color="primary"/>} label="Não"/>
                        </RadioGroup>
                        </StyledDivEvaluateQuestion>
                        <StyledDivEvaluateQuestion>
                        <p>
                        O recurso apresenta algum tipo de propaganda ou marca? (Ex: o conteúdo tem cunho comercial)?
                        </p>
                        <RadioGroup row name="radio3" onChange={props.handleRadios}>
                            <FormControlLabel value="Sim" control={<Radio color="primary"/>} label="Sim"/> <FormControlLabel value="Não" control={<Radio color="primary"/>} label="Não"/>
                        </RadioGroup>
                        </StyledDivEvaluateQuestion>
                    </StyledFormControl>
                </div>
        </CardContent>

    )
}
