/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react';
import { withStyles } from '@material-ui/core/styles';
import MenuItem from '@material-ui/core/MenuItem';
import FormControl from '@material-ui/core/FormControl';
import Select from '@material-ui/core/Select';
import InputBase from '@material-ui/core/InputBase';

const BootstrapInput = withStyles(theme => ({
  input: {
    position: 'relative',
    fontSize: 16,
    width: '80px',
  },
}))(InputBase);

// const styles = theme => ({
//   root: {
//     display: 'flex',
//     flexWrap: 'wrap',
//   },
//   margin: {
//     margin: theme.spacing.unit,
//   },
//   bootstrapFormLabel: {
//     fontSize: 18,
//   },
// });

class CustomizedSelects extends React.Component {
  state = {
    filter: 1,
  };

  handleChange = event => {
    this.setState({ filter: event.target.value });
  };

  render() {
    // const { classes } = this.props;

    return (
        <FormControl>
          <Select
            value={this.state.filter}
            onChange={this.handleChange}
            input={<BootstrapInput name="filter"/>}
           >
            <MenuItem value={1}>Recursos</MenuItem>
            <MenuItem value={2}>Materiais</MenuItem>
            <MenuItem value={3}>Coleções</MenuItem>
          </Select>
        </FormControl>
    );
  }
}


export default (CustomizedSelects);
