/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, { Component, useState, useEffect } from 'react';
import styled from 'styled-components';
import Banner1 from '../img/banner-sobre.jpg';
import { TextField } from '@material-ui/core';
import FormInput from "../Components/FormInput.js"
import axios from 'axios'
import {apiUrl} from '../env';


const Seção1 =  styled.div `
  width: 100%;
  background-image: url(${Banner1});
  background-size: cover;
  background-position: bottom center;
  height: 250px;
  color:#fff;
  line-height: 1.1;
  text-align: center;
  padding-top: 120px;

  h2 {
    font-family: Pompiere,cursive;
    font-size: 52px;
    color:#fff;
    margin: 0;
    padding-left: 0;
    padding-right: 0;
    font-weight: 500;
  }

  h3 {
    margin-top: 20px;
    margin-bottom: 10px;
    font-family: Roboto,sans-serif;
    font-size: 30px;
    font-weight: lighter;

  }
`

const Seção2 = styled.div `
  height: 708px;
  background-color: #f4f4f4;
  display: flex;
  justify-content: center;
  align-items: center;
`
const Button = styled.button`


`

const Formulário = styled.div `
  background-color: #fff;
  box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
  padding: 40px;
  height: 520px;
  width: 420px;
  color: #666;

  form .inputBlock {
    margin-block: 22px;

  }

  form .inputBlock label {
    font-size: 14px;
    font-weight: bold;
    display: block;

  }

  form .inputBlock input {
    width: 100%;
    height: 32px;
    font-size: 14px;
    border: 0;
    border-bottom: 1px solid #eee;

  }

  form .inputBlock.Message input {
    height: 131px;
  }

  form buttom[type=submit] {
    width: 100%;
    border: 0;
    margin-top: 30px;
    background: #7d40e7
    border-radius: 2px;
    padding: 15px 20px;
    font-size: 16px;
    font-weight: bold;
    color: #fff;
    cursor: pointer;
    transition: background 0.5s;

  }

  form buttom[type=submit]:hover {
    background: #6931ac
  }


  h2 {
    font-size: 24px;
    font-weight: lighter;
    margin-bottom: 50px;
    margin-top: 20px;
    text-align: center;

  }
`



const Seção3 = styled.div `
  height: 127px;
  background-color: #f4f4f4;
  color:#666;
  line-height: 1.42857143;
  font-size:18px;
  text-align: center;
  padding-top: 70px;


  p {
    margin: 0 0 10px 0;
  }


`

function validateNome (nome) {
    let flag = false
    if(nome.length === 0) {
        flag = true
    }

    return flag
}


function validateMensagem (mensagem) {
    let flag = false
    if(mensagem.length === 0) {
        flag = true
    }

    return flag
}

function validateEmail (email) {
  let flag = false
  if (email.split("").filter(x => x === "@").length !== 1) {
    flag = true
  }
  return flag
}



function Contact (props) {

    const [nome, handleNome] = useState(
      {
        dict : {
         key:false,
         value:""
       }
     })
    const [email, handleEmail] = useState(
      {
        dict : {
         key:false,
         value:""
     }
    })
    const [mensagem, handleMensagem] = useState(
      {
        dict : {
         key: false,
         value:""
       }
      })


  const preencheNome = (e) => {
    const aux2 = e.target.value
    const flag = validateNome(aux2)
    handleNome({...nome, dict : {
      key : flag,
      value : e.target.value
    }})
    console.log(nome)
  }

  const preencheEmail = (e) => {
    const aux = e.target.value
    const flag = validateEmail(aux)
    handleEmail({...email, dict : {
      key : flag,
      value : e.target.value
    }})
    console.log(email)
  }

  const preencheMensagem = (e) => {
    const msg = e.target.value
    console.log(msg)
    let flag = validateMensagem(msg)
    handleMensagem({...mensagem, dict : {
      key : flag,
      value : msg
    }})
    console.log(mensagem)
  }

  const limpaTudo = () => {

    handleNome({
      dict : {
       key: false,
       value:""
     }}
   );

    handleEmail({
      dict : {
       key: false,
       value:""
     }}
    )

    handleMensagem({
      dict : {
       key: false,
       value:""
     }}
    )

  }



  const onSubmit = (e) => {
      //on submit we should prevent the page from refreshing
      e.preventDefault(); //though this is arguable
      console.log(!(nome.dict.key && email.dict.key && mensagem.dict.key ))
      if (!(nome.dict.key && email.dict.key && mensagem.dict.key )) {

        axios.post(`${apiUrl}/contacts`,
            {
              contact : {
                name: nome.dict.value,
                email: email.dict.value,
                message: mensagem.dict.value
              }

        }
        ).then()


        
        limpaTudo();

      }



  }



    return(
      <>
      <link href="https://fonts.googleapis.com/css?family=Kalam|Pompiere|Roboto:300,400&display=swap" rel="stylesheet"/>
        <Seção1>
          <h2>CONTATO</h2>
          <h3>Quer enviar uma mensagem?</h3>
        </Seção1>

        <Seção2>

          <Formulário noValidate autoComplete="off">
            <h2>Entre em contato para enviar dúvidas,<br/>sugestões ou críticas</h2>
            <form onSubmit={e => onSubmit(e)}>
              <FormInput
                inputType={"text"}
                name={"nome"}
                value={nome.dict.value}
                placeholder={"Nome *"}
                error = {nome.dict.key}
                help = {nome.dict.key ? "insira seu nome para o contato " : ""}
                handleChange={e => preencheNome(e)}
              />
              <FormInput
                inputType={"text"}
                name={"email"}
                value={email.dict.value}
                placeholder={"E-mail *"}
                error = {email.dict.key}
                help = {email.dict.key ? "Formato de e-mail inadequado tente : usuario@provedor.com" : ""}
                handleChange={e => preencheEmail(e)}
              />
              <FormInput
                inputType={"text"}
                name={"mensagem"}
                value={mensagem.dict.value}
                placeholder={"Mensagem *"}
                multi = {true}
                rows = "3"
                rowsMax = "5"
                error = {mensagem.dict.key}
                help = {mensagem.dict.key ? "Faltou escrever sua mensagem de sugestão, crítica ou dúvida." : "Escreva sua mensagem no campo acima."}
                handleChange={e => preencheMensagem(e)}
              />
              <Button onClick={e => onSubmit(e)} >ENVIAR MENSAGEM</Button>
            </form>

          </Formulário>
        </Seção2>

        <Seção3>

          <span>MEC - Ministério da Educação </span>
          <p>Endereço: Esplanada dos Ministérios Bloco L - Ed.Sede e Anexos. CEP: 70.047-900 - Brasília/DF. Telefone: 0800 616161</p>

        </Seção3>
      </>
    );

}

export default Contact;
